//
//  MapAmapDataChannelKeyword.swift
//  map_amap_ios
//
//  Created by 诺诺诺的言 on 2025/7/22.
//

import Foundation

enum MapAmapDataChannelKeyword: String, CaseIterable {
    case `init` = "init"
    case getPlatformMapName = "getPlatformMapName"
    case startLocation = "startLocation"
    
    // 地图相关方法名称
    case methodMapMoveCamera = "map#moveCamera"
    case methodMapAnimateCamera = "map#animateCamera"
    case methodMapClear = "map#clear"
    case methodMapMoveToSuitableLocation = "map#moveToSuitableLocation"
    case methodMapInteractionEnabled = "map#interactionEnabled"
    case methodMapLogoVisible = "map#logoVisible"
    case methodMapClearAllPolylines = "polyline#clearAllPolylines"
    
    // 标记物相关方法名称
    case methodUpdateOrAddMarkers = "marker#updateOrAddMarkers"
    case methodReplaceAllMarkers = "marker#replaceAllMarkers"
    case methodMarkerOnTap = "marker#onTap"
    case methodMarkerRemoveMarker = "marker#removeMarker"
    
    // 轨迹纠偏
    case methodQueryProcessedTrace = "trace#queryProcessedTrace"
    
    // polyline
    case methodAddPolyline = "polyline#addPolyline"
    ///删除指定的路径
    case methodRemovePolyline = "polyline#removePolyline"
}
